Bug 848031 - Range Retrieval: Unable to retrieve all members when filter is used in search base.
Summary: Range Retrieval: Unable to retrieve all members when filter is used in search...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-14 11:25 UTC by Jakub Hrozek
Modified: 2020-05-04 10:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 13:21:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2513 0 None None None 2020-05-04 10:33:27 UTC

Description Jakub Hrozek 2012-08-14 11:25:37 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1471

Setup:
- Add a group with 200 member users in AD
- Change the value of MaxValRange on the AD Server to 50
- Verified with ldapsearch to the AD Server, that only a range of 50 members are displayed at a time:
{{{
member;range=0-49: CN=rangeuser03,CN=Users,DC=sssdad,DC=com
member;range=0-49: CN=rangeuser02,CN=Users,DC=sssdad,DC=com
member;range=0-49: CN=rangeuser01,CN=Users,DC=sssdad,DC=com
....
}}}

1. Lookup the group:
Result:
"getent group groupname" returns all 200 users. <== Correct behaviour


2. Add "ldap_group_search_base = dc=sssdad,dc=com??(cn=groupname)" in sssd.conf domain section
Result:
"getent group groupname" only returns first 50 members.   <== Should have returned 200 members.

As per the filter, there shouldn't be any restriction on the no. of members being displayed.

Comment 1 Dmitri Pal 2012-08-16 13:21:43 UTC
We will update the man page.


Note You need to log in before you can comment on or make changes to this bug.